Subject: Re: [IPsec] [Lwip] I-D Action: draft-ietf-lwig-minimal-esp-03.txt

From: Daniel Migault <[email-masked]>
Date: Wed, 24 Mar 2021 11:23:10 -0400

Hi,

Please find below the updated version of the draft as detailed in [1] and
[2] as well as some nits.
The main changes are that we introduced some more context on
the constraints a device may have which could clarify the motivations for
the optimizations that were detailed. This includes the context being
provided in the abstract, introduction, as well as for SPI, SN sections.

Having not heard any feedbacks to [1] and [2] I believe these updates
address the concerns raised.

Yours,
Daniel

[1] https://mailarchive.ietf.org/arch/msg/lwip/IHyy2OCA-hWWfjxDrkX-x1yAvFI/
[2] https://mailarchive.ietf.org/arch/msg/lwip/vBtGKO_0GU_SUNkfu-iSUC-Bq9A/

On Wed, Mar 24, 2021 at 11:11 AM <[email-masked]> wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Light-Weight Implementation Guidance WG
> of the IETF.
>
>         Title           : Minimal ESP
>         Authors         : Daniel Migault
>                           Tobias Guggemos
>         Filename        : draft-ietf-lwig-minimal-esp-03.txt
>         Pages           : 14
>         Date            : 2021-03-24
>
> Abstract:
>    This document describes a minimal implementation of the IP
>    Encapsulation Security Payload (ESP) defined in RFC 4303.  Its
>    purpose is to enable implementation of ESP with a minimal set of
>    options to remain compatible with ESP as described in RFC 4303.  A
>    minimal version of ESP is not intended to become a replacement of the
>    RFC 4303 ESP.  Instead, a minimal implementation is expected to be
>    optimized for constrained environment while remaining interoperable
>    with implementations of RFC 4303 ESP.  Constrains include among other
>    limiting the number of flash writes, handling frequent wakeup / sleep
>    states, limiting wakeup time, or reducing the use of random
>    generation.
>
>    This document describes what is required from RFC 4303 ESP as well as
>    various ways to optimize compliance with RFC 4303 ESP.
>
>    This document does not update or modify RFC 4303, but provides a
>    compact description of how to implement the minimal version of the
>    protocol.  If this document and RFC 4303 conflicts, then RFC 4303 is
>    the authoritative description.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-lwig-minimal-esp/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-lwig-minimal-esp-03
> https://datatracker.ietf.org/doc/html/draft-ietf-lwig-minimal-esp-03
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-lwig-minimal-esp-03
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> Lwip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lwip
>

-- 
Daniel Migault
Ericsson